Subject: Re: [PATCH] git-p4: import utf16 file properly

From: Pete Wyckoff <[email-masked]>
Date: Sat, 17 Sep 2011 21:19:42 -0400

[email-masked] wrote on Wed, 14 Sep 2011 11:39 -0700:
> On Wed, Sep 14, 2011 at 11:29 AM, Chris Li <[email-masked]> wrote:
> >> Does this change do the right thing with RCS keywords in UTF16 files?
> >
> > I don't know what is the rules about the RCS keyword in UTF16 files.
> 
> I did a little bit research and found this:
> 
> http://www.perforce.com/perforce/doc.current/manuals/p4guide/ab_filetypes.html
> 
> RCS keyword expand should only happen for "+k" or "+ko" modifiers.
> There for, "utf16" files without modifier should not be converted.
> In that regard, the patch is correct. But both the original and patched version
> did not handle "utf16+k" type of files. I still consider it as a separate issue.

Your patch looks good and this all makes sense.  I redid
it, adding a test case, and some more patches to clean up
some of the filetype detection code.  I'll send it out for
review soon here.

Luke:  thanks for the comments; they prompted me to think
about keywords and beyond.

		-- Pete